Skip to main content

Update Unit: MRI - Not Supported

PUThttps://api.propexo.com/v1/units/mri/:unit_id

MRI does not support updating a unit via their API. This endpoint will always return a 405, with an error message specifying that updating a unit in a MRI integration is not supported due to the lack of upstream support.MRI does not provide a way to update the majority of data on units with their MIX APIs. This is available through their developer APIs, but the developer APIs are recommended to be avoided by integrating systems due to their unchecked data entry that can lead to system corruption.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

unit_id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    object

Response​

Successful response

    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/units/mri/:unit_id
curl -X PUT https://api.propexo.com/v1/units/mri/:unit_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}'
200 Successful response
{}